package gmenu

type Config struct {
	DataDirs string

	HideGenericNames bool
	HideAppDetails   bool

	terminalCommand string
	browserCommand  string
}

func (c *Config) TerminalCommand() string {
	if c.terminalCommand == "" {
		c.terminalCommand = "i3-sensible-terminal"
	}

	return c.terminalCommand
}

func (c *Config) BrowserCommand() string {
	if c.browserCommand == "" {
		c.browserCommand = "xdg-open"
	}

	return c.browserCommand
}

var Version string
